View Issue Details

IDProjectCategoryView StatusLast Update
0000993OpenMPT[All Projects] Feature Requestpublic2017-09-27 15:53
ReporterjmkzAssigned ToSaga Musix 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (current stable)Fixed in VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (current stable) 
Summary0000993: Cleaner look of plugins slot list
Description

As it is shown in the list of plugin slots, the label of each unloaded FX slot is quite visually inefficient:

FX1: Synth1 VST
FX2: undefined
FX3: undefined
FX4: undefined
FX5: Synth1 VST
FX6: undefined
...
and so on.

One of my custom modifications I set on OpenMPT is that instead of labeling "undefined" an empty slot, I changed to '--', now looks cleaner list an more easyly to identify a plugin. The request is to set a custom blank slot label, either empty or any other custom label. It can be helpful keeping grouped plugins.

FX1: Synth1 VST
FX2: KarmaFX Equalizer
FX3: --
FX4: --
FX5: Synth1 VST
FX6: --
...
etc.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2017-07-24 13:26

administrator   ~0003115

I agree that the current state is far from optimal, and actually I would kind of prefer to not list empty slots at all. But it might not be really feasible to do that until we have the graphical modular mixer in place. So shortening the string for empty slots might indeed be a good idea.

Saga Musix

Saga Musix

2017-09-27 15:53

administrator   ~0003267

Applied just in time for 1.27 in r8996.

Issue History

Date Modified Username Field Change
2017-07-23 15:54 jmkz New Issue
2017-07-24 13:26 Saga Musix Note Added: 0003115
2017-07-25 14:59 Saga Musix Assigned To => Saga Musix
2017-07-25 14:59 Saga Musix Status new => assigned
2017-09-27 15:53 Saga Musix Status assigned => resolved
2017-09-27 15:53 Saga Musix Resolution open => fixed
2017-09-27 15:53 Saga Musix Fixed in Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (current stable)
2017-09-27 15:53 Saga Musix Target Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (current stable)
2017-09-27 15:53 Saga Musix Note Added: 0003267